SeExpr

Namespaces | Functions
ExprPatterns.h File Reference
`#include "ExprNode.h"`

Go to the source code of this file.

## Namespaces
| SeExpr2

## Functions
const ExprVarNode * | SeExpr2::isVariable (const ExprNode *testee)
const ExprNumNode * | SeExpr2::isScalar (const ExprNode *testee)
const ExprVecNode * | SeExpr2::isVector (const ExprNode *testee)
const ExprVecNode * | SeExpr2::isLitVec (const ExprNode *testee)
const ExprStrNode * | SeExpr2::isString (const ExprNode *testee)
const ExprAssignNode * | SeExpr2::isAssign (const ExprNode *testee)
const ExprFuncNode * | SeExpr2::isFunc (const ExprNode *testee)
const ExprFuncNode * | SeExpr2::isNamedFunc (const ExprNode *testee, const std::string &name)
const ExprFuncNode * | SeExpr2::isStrFunc (const ExprNode *testee)
bool | SeExpr2::hasCurveNumArgs (const ExprFuncNode *testee)
const ExprFuncNode * | SeExpr2::isCurveFunc (const ExprNode *testee)
const ExprFuncNode * | SeExpr2::isCcurveFunc (const ExprNode *testee)
const ExprAssignNode * | SeExpr2::isScalarAssign (const ExprNode *testee)
const ExprAssignNode * | SeExpr2::isVectorAssign (const ExprNode *testee)
const ExprAssignNode * | SeExpr2::isStrFuncAssign (const ExprNode *testee)
const ExprAssignNode * | SeExpr2::isCurveAssign (const ExprNode *testee)
const ExprAssignNode * | SeExpr2::isCcurveAssign (const ExprNode *testee)